## u2f-host-types u2f-host-types |

## Types and Values

enum | u2fh_rc
enum | u2fh_initflags
enum | u2fh_cmdflags
typedef | u2fh_devs

## Description

## Functions

## Types and Values

### enum u2fh_rc

Error codes.

#### Members

U2FH_OK | Success. |
U2FH_MEMORY_ERROR | Memory error. |
U2FH_TRANSPORT_ERROR | Transport (e.g., USB) error. |
U2FH_JSON_ERROR | Json error. |
U2FH_BASE64_ERROR | Base64 error. |
U2FH_NO_U2F_DEVICE | Missing U2F device. |
U2FH_AUTHENTICATOR_ERROR | Authenticator error. |
U2FH_TIMEOUT_ERROR | Timeout error. |

### enum u2fh_initflags

Flags passed to `u2fh_global_init()`.

#### Members

U2FH_DEBUG | Print debug messages. |

### enum u2fh_cmdflags

Flags passed to `u2fh_register()` and `u2fh_authenticate()`.

#### Members

U2FH_REQUEST_USER_PRESENCE | Request user precense. |

### u2fh_devs

    typedef struct u2fh_devs u2fh_devs;